Gets the engine configuration attached to the client session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/configuration/engineconst url = 'https://{apiBaseUrl}/v2/{sessionId}/configuration/engine';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/configuration/engine"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/configuration/engine",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/configuration/engine");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/configuration/engine")
.asString();{
"engineId": "2MIS",
"groupId": "12345",
"websiteUrl": "http://hotel-website.com",
"customSalesTermsConditionsUrl": "http://hotel-website.com/terms.pdf",
"hotels": [
{
"hotelId": "1234",
"rating": 0
}
],
"constraints": {
"guests": {
"adults": {
"isVisible": true,
"maxCount": 20,
"minAge": 12,
"maxAge": 2147483647
},
"children": {
"isVisible": true,
"maxCount": 20,
"minAge": 2,
"maxAge": 12
},
"infants": {
"isVisible": true,
"maxCount": 20,
"minAge": 0,
"maxAge": 2
},
"checkinTime": "None",
"address": "None",
"occupancyDetails": "None"
},
"planning": {
"minDate": "2026-06-07T00:00:00Z",
"maxDate": "2028-05-27T00:00:00Z"
},
"engine": {
"maxStayLength": 10,
"isOfferCodeVisible": true,
"isGuestAuthenticationVisible": true,
"isCrossSellEnabled": true,
"bookingLimits": {
"bookingLimit": 1,
"defaultRoomLimit": 2,
"roomLimits": {
"1111": 2,
"2222": 5
}
}
},
"display": {
"rooms": 4,
"rates": 4,
"roomExtras": 2,
"hotelExtras": 3,
"pricingDisplayMethod": "Lowest"
},
"marketing": {
"isOptinHotelVisible": true,
"isOptinPartnersVisible": true
},
"navigation": {
"consentManagementPlatformEnabled": false,
"isHomeOfficialWebSite": false
}
},
"cardTypes": [
"AmericanExpress",
"Visa"
],
"bookingEngineType": "Classic",
"convergenceActivated": false,
"currencies": [
"EUR",
"USD"
],
"rateIds": [
1111,
2222,
3333
],
"customParameters": {
"param1": "value1"
},
"defaultCurrency": "EUR",
"defaultCulture": "fr-FR",
"hotelPaymentMethods": {
"supportedCardTypes": [
"AmericanExpress",
"Visa"
],
"supportedPaymentMethods": [
"IDeal",
"Paypal"
]
},
"occupancyPerRoom": false,
"title": "My First Hotel"
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Configuration
Gets the engine configuration
Gets the engine configuration attached to the client session
GET
/
v2
/
{sessionId}
/
configuration
/
engine
Gets the engine configuration attached to the client session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/configuration/engineconst url = 'https://{apiBaseUrl}/v2/{sessionId}/configuration/engine';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/configuration/engine"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/configuration/engine",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/configuration/engine");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/configuration/engine")
.asString();{
"engineId": "2MIS",
"groupId": "12345",
"websiteUrl": "http://hotel-website.com",
"customSalesTermsConditionsUrl": "http://hotel-website.com/terms.pdf",
"hotels": [
{
"hotelId": "1234",
"rating": 0
}
],
"constraints": {
"guests": {
"adults": {
"isVisible": true,
"maxCount": 20,
"minAge": 12,
"maxAge": 2147483647
},
"children": {
"isVisible": true,
"maxCount": 20,
"minAge": 2,
"maxAge": 12
},
"infants": {
"isVisible": true,
"maxCount": 20,
"minAge": 0,
"maxAge": 2
},
"checkinTime": "None",
"address": "None",
"occupancyDetails": "None"
},
"planning": {
"minDate": "2026-06-07T00:00:00Z",
"maxDate": "2028-05-27T00:00:00Z"
},
"engine": {
"maxStayLength": 10,
"isOfferCodeVisible": true,
"isGuestAuthenticationVisible": true,
"isCrossSellEnabled": true,
"bookingLimits": {
"bookingLimit": 1,
"defaultRoomLimit": 2,
"roomLimits": {
"1111": 2,
"2222": 5
}
}
},
"display": {
"rooms": 4,
"rates": 4,
"roomExtras": 2,
"hotelExtras": 3,
"pricingDisplayMethod": "Lowest"
},
"marketing": {
"isOptinHotelVisible": true,
"isOptinPartnersVisible": true
},
"navigation": {
"consentManagementPlatformEnabled": false,
"isHomeOfficialWebSite": false
}
},
"cardTypes": [
"AmericanExpress",
"Visa"
],
"bookingEngineType": "Classic",
"convergenceActivated": false,
"currencies": [
"EUR",
"USD"
],
"rateIds": [
1111,
2222,
3333
],
"customParameters": {
"param1": "value1"
},
"defaultCurrency": "EUR",
"defaultCulture": "fr-FR",
"hotelPaymentMethods": {
"supportedCardTypes": [
"AmericanExpress",
"Visa"
],
"supportedPaymentMethods": [
"IDeal",
"Paypal"
]
},
"occupancyPerRoom": false,
"title": "My First Hotel"
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Visa, MasterCard, AmericanExpress, DinersClub, Jcb, Undefined Available options:
Classic, Mobile, Facebook, Corporate, DirectClick, Diamond, Smart, CentralReservationOffice Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?